LazyTagLibraryLookup (Grails 2.4.4)
Date: 2014-10-28

Package: grails.test.mixin.support

## [Java] Class LazyTagLibraryLookup

- grails.test.mixin.support.LazyTagLibraryLookup

- Lazy implementation of the tag library lookup class designed for testing purposes.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TagLibraryLookup` | `applicationContext, encodeAsForTagNamespaces, grailsApplication, namespaceDispatchers, tagNamespaces, tagsThatReturnObjectForNamespace`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `groovy.lang.GroovyObject` | `lookupTagLibrary(java.lang.String namespace, java.lang.String tagName)`
    `protected void` | `putTagLib(java.util.Map<java.lang.String, java.lang.Object> tags, java.lang.String name, GrailsTagLibClass taglib)`
    `void` | `registerTagLib(GrailsTagLibClass taglib)`
    `protected void` | `registerTagLibraries()`
    `protected java.lang.String` | `tagNameKey(java.lang.String namespace, java.lang.String tagName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TagLibraryLookup` | `afterPropertiesSet, doesTagReturnObject, getAvailableNamespaces, getAvailableTags, getEncodeAsForTag, hasNamespace, lookupNamespaceDispatcher, lookupTagLibrary, putTagLib, registerTagLib, registerTagLibraries, registerTemplateNamespace, setApplicationContext, setGrailsApplication`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public groovy.lang.GroovyObject lookupTagLibrary(java.lang.String namespace, java.lang.String tagName)

    - #### @java.lang.Override protected void putTagLib(java.util.Map<java.lang.String, java.lang.Object> tags, java.lang.String name, GrailsTagLibClass taglib)

    - #### @java.lang.Override public void registerTagLib(GrailsTagLibClass taglib)

    - #### @java.lang.Override protected void registerTagLibraries()

    - #### protected java.lang.String tagNameKey(java.lang.String namespace, java.lang.String tagName)